%define _phplib %{_libdir}/php56
%define _extdir %{_phplib}/extensions
%define modname geoip
%define modfullname mod_%{modname}

Summary: php 5.6 GeoIP extension
Summary(ko): php 5.6 GeoIP 확장
Name: php56-%{modname}
Version: 1.1.2
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: %{modfullname}-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php56api GeoIP
BuildRequires: php56-devel GeoIP-devel

%description
This extension is php 5.6 extension of Maxmind's GeoIP library. But,
It is not same php geoip extension of Maxmind (http://maxmind.com)

It has same functions, but has different code with maxmind.com's

%prep
%setup -q -n %{modfullname}-%{version}

%build

/usr/bin/phpize56

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/{fpm,cli}
for i in fpm cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php56.d/$i/%{modname}.ini <<EOF
extension = %{modname}.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%config(noreplace) %{_sysconfdir}/php56.d/fpm/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php56.d/cli/%{modname}.ini

%changelog
* Fri Jan 15 2016 JoungKyun.Kim <http://oops.org> 1:1.1.2-1%{?dist}
- rebuilt on AN3

* Sat Dec 15 2012 JoungKyun.Kim <http://oops.org> 10:1.1.2-1%{?dist}
- update 1.1.2 for PHP 5.4

* Tue Feb 28 2012 JoungKyun.Kim <http://oops.org> 1:1.1.1-1%{?dist}
- first packaged

